<!DOCTYPE html>
<html>
<head>
    <title>Animal Guessing Game</title>
    <style>
        body {
            background-image: url("{{ url_for('static', filename='background.jpg') }}");
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center center;
            font-family: Arial, sans-serif;
            color: #fff;
        }

        .animal-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-around;
            margin-top: 100px;
        }

        .animal-box {
            width: 200px;
            height: 200px;
            margin: 20px;
            background-color: rgba(0, 0, 0, 0.7);
            border-radius: 10px;
            text-align: center;
            padding: 20px;
        }

        .animal-image {
            width: 150px;
            height: 150px;
            border-radius: 10px;
            margin-bottom: 10px;
        }

        .animal-guess {
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div class="animal-container">
        {% for animal in animals %}
            <div class="animal-box">
                <img class="animal-image" src="{{ url_for('static', filename=animal.image_url) }}" alt="{{ animal.name }}">
                {% if not animal.guessed %}
                    <form class="animal-guess" action="{{ url_for('animal', animal_name=animal.name) }}" method="post">
                        <input type="text" name="guessed_name" placeholder="Guess the animal" required>
                        <input type="submit" value="Guess">
                    </form>
                {% endif %}
            </div>
        {% endfor %}
    </div>
</body>
</html>


</div>
<div class="view-wrong-guesses">
    <a href="{{ url_for('wrong_guesses') }}">View Wrong Guesses</a>
</div>

</body>
</html>
